Holger's Java API

## com.antelmann.util
Interface PatternExtractor<TYPE,PATTERN>

Type Parameters:
  `TYPE` - the object type that this class can process
  `PATTERN` - the type of object that is extracted from an object.

All Known Implementing Classes:
  FileTableModel, HtmlEmailExtractor

    public interface PatternExtractor<TYPE,PATTERN>

PatternExtractor provides a way to group objects by a pattern defined by an implementation. Examples for such a pattern would be a hash code, the toString() method or more object specific things, like group Date objects by their month.

Author:
  Holger Antelmann

Field Summary
`static PatternExtractor<Object,Object>` `SELF_EXTRACTOR`
`static PatternExtractor<Object,String>` `STRING_EXTRACTOR`

Method Summary
`PATTERN` `extractPattern(TYPE originalObject)` extracts a defined pattern from the given object.

Field Detail

### STRING_EXTRACTOR

    static final PatternExtractor<Object,String> STRING_EXTRACTOR

### SELF_EXTRACTOR

    static final PatternExtractor<Object,Object> SELF_EXTRACTOR

Method Detail

### extractPattern

    PATTERN extractPattern(TYPE originalObject)

  extracts a defined pattern from the given object. Depending on implementation, this method may also be allowed to return null.

  Returns:
    the pattern that results from extracting the relevant information from the original type.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads